﻿/*********************************************************************************
// This code is created by SimCoder Version 10.0 for F2833x Hardware Target
//
// SimCoder is copyright by Powersim Inc., 2009-2015
//
// Date: November 10, 2015 22:50:27
**********************************************************************************/
#include	<math.h>
#include	"PS_bios.h"
typedef float DefaultType;
#define	GetCurTime() PS_GetSysTimer()





interrupt void Task();
void TaskS7();
void TaskS2(DefaultType fIn0, DefaultType fIn1, DefaultType fIn2, DefaultType fIn3, DefaultType fIn4, DefaultType fIn5, DefaultType fIn6, DefaultType fIn7, DefaultType fIn8, DefaultType *fOut0, DefaultType *fOut1, DefaultType *fOut2);






PST_BufItem aGblSciOutBuf[256];
PST_Data aGblSciInValue[2] = {1, 0.003};
Uint16 aGblSciOutAllow[1] = {0};
Uint16 aGblSciOutCnt[1] = {0};
Uint16 nGblSciState = 0;
Uint16 aGblSciDateSetPt[1] = {1};
char* aGblSciInitStr = "\0011,1:S2_Vgq_ref=1\003\0016,1:S2_theta=10000\003\0011,2:Kp_vgq=0.003\003";
#define	PSC_SCI_SENDOUT_FLAG	0x2000
#define	PSC_SCI_INITIAL		0
#define	PSC_SCI_START		0x5000000
#define	PSC_SCI_PAUSE		0x1000000
#define	PSC_SCI_RESTART		0x2000000
#define	PSC_SCI_CONT_MODE	0x3000000
#define	PSC_SCI_SNAP_MODE	0x4000000
#define	PSC_SCI_CONT_START	1
#define	PSC_SCI_CONT_BEGIN	2
#define	PSC_SCI_CONT_SEND	3
#define	PSC_SCI_CONT_PAUSE	4
#define	PSC_SCI_SNAP_START	100
#define	PSC_SCI_SNAP_BEGIN	101
#define	PSC_SCI_SNAP_SEND	102
#define	PSC_SCI_SNAP_WAIT	103
#define	PSC_SCI_SNAP_PSEND	104
#define	PSC_SCI_SNAP_PWAIT	105
#define	PSC_SCI_SNAP_PAUSE	106
void _ProcSciInputItem(PST_BufItem* pItem)
{
	Uint16 i, nSeqNo = pItem->nSeqNo.bit.nSeqNo;
	switch (nSeqNo) {
	case 0:
		switch (pItem->data.dataInt32) {
		case PSC_SCI_INITIAL:
			for (i = 0; i < 1; i++) aGblSciOutAllow[i] = 0;
			PS_SciClearSendBuf();
			PS_SciSendInitStr(aGblSciInitStr);
			break;
		case PSC_SCI_PAUSE:
			PS_DisableIntr();
			switch (nGblSciState) {
			case PSC_SCI_CONT_START:
			case PSC_SCI_CONT_SEND:
				PS_SciClearSendBuf();
				nGblSciState = PSC_SCI_CONT_PAUSE;
				break;
			case PSC_SCI_SNAP_SEND:
				nGblSciState = PSC_SCI_SNAP_PSEND;
				break;
			case PSC_SCI_SNAP_WAIT:
				nGblSciState = PSC_SCI_SNAP_PWAIT;
				break;
			default:
				break;
			}
			PS_EnableIntr();
			break;
		case PSC_SCI_RESTART:
			PS_DisableIntr();
			switch (nGblSciState) {
			case PSC_SCI_CONT_PAUSE:
				nGblSciState = PSC_SCI_CONT_START;
				break;
			case PSC_SCI_SNAP_PSEND:
			case PSC_SCI_SNAP_PWAIT:
			case PSC_SCI_SNAP_PAUSE:
				nGblSciState = PSC_SCI_SNAP_START;
				break;
			}
			PS_EnableIntr();
			break;
		case PSC_SCI_CONT_MODE:
			nGblSciState = PSC_SCI_CONT_START;
			break;
		case PSC_SCI_SNAP_MODE:
			nGblSciState = PSC_SCI_SNAP_START;
			break;
		default:
			if (pItem->nSeqNo.bit.nCount == 0) {
				for (i = 0; i < 1; i++) aGblSciOutAllow[i] = 0;
			}
			for (i = 0; i < 4; i++) {
				int index = (pItem->data.dataInt32 >> (i * 8)) & 0xff;
				if ((index > 0) && (index <= 1))
					aGblSciOutAllow[index - 1] = PSC_SCI_SENDOUT_FLAG;
			}
			break;
		}
		break;
	default:
		if (nSeqNo <= 2)
			aGblSciInValue[nSeqNo - 1].dataInt32 = pItem->data.dataInt32;
		break;
	}
}

void _ProcSciRestart(void)
{
	int i;
	PST_BufItem item;

	for (i = 0; i < 1; i++)
		aGblSciOutAllow[i] &= 0xff00;
	item.nSeqNo.all = 0;
	switch (nGblSciState++) {
	case PSC_SCI_CONT_BEGIN:
		PS_SciClearSendBuf();
		item.data.dataInt32 = 0;
		break;
	case PSC_SCI_SNAP_BEGIN:
		item.data.dataInt32 = 1;
		break;
	case PSC_SCI_SNAP_PWAIT:
		nGblSciState = PSC_SCI_SNAP_START;
	case PSC_SCI_SNAP_WAIT:
		item.data.dataInt32 = 255;
		break;
	}
	PS_SciSendItem(&item);
}

void _ProcSciWaitStart(void)
{
	PS_DisableIntr();
	switch (nGblSciState) {
	case PSC_SCI_CONT_START:
		nGblSciState = PSC_SCI_CONT_BEGIN;
		break;
	case PSC_SCI_SNAP_START:
		nGblSciState = PSC_SCI_SNAP_BEGIN;
		break;
	default:
		break;
	}
	PS_EnableIntr();
}

void _ProcSciOutput(int index, float fVal)
{
	PST_BufItem item;
	int ok = ((aGblSciOutAllow[index] & PSC_SCI_SENDOUT_FLAG) &&
		(++aGblSciOutCnt[index] >= aGblSciDateSetPt[index]));
	PS_DisableIntr();
	switch (nGblSciState) {
	case PSC_SCI_CONT_BEGIN:
	case PSC_SCI_SNAP_BEGIN:
		_ProcSciRestart();
		break;
	case PSC_SCI_CONT_SEND:
		if (ok) {
			aGblSciOutCnt[index] = 0;
			item.nSeqNo.bit.nCount = aGblSciOutAllow[index];
			item.nSeqNo.bit.nSeqNo = index + 1;
			item.data.dataFloat = fVal;
			PS_SciSendItem(&item);
			aGblSciOutAllow[index]++;
			aGblSciOutAllow[index] &= ~0x100;
		}
		break;
	case PSC_SCI_SNAP_SEND:
	case PSC_SCI_SNAP_PSEND:
		if (ok) {
			aGblSciOutCnt[index] = 0;
			item.nSeqNo.bit.nCount = aGblSciOutAllow[index];
			item.nSeqNo.bit.nSeqNo = index + 1;
			item.data.dataFloat = fVal;
			if (!PS_SciSendItem(&item)) {
				nGblSciState++;
			} else {
				aGblSciOutAllow[index]++;
				aGblSciOutAllow[index] &= ~0x100;
			}
		}
		break;
	case PSC_SCI_SNAP_WAIT:
		if (PS_IsTxQueueEmpty()) {
			nGblSciState = PSC_SCI_SNAP_START;
		}
		break;
	case PSC_SCI_SNAP_PWAIT:
		if (PS_IsTxQueueEmpty()) {
			nGblSciState = PSC_SCI_SNAP_PAUSE;
		}
		break;
	default:
		break;
	}
	PS_EnableIntr();
}

// Parameters in parameter file _ParamFile3
#define	fs_bst	20000.0
#define	R11	10000.0
#define	R1	832.14
#define	R2	55754.7
#define	C1	(1.06022e-007)
#define	C2	(2.05981e-008)
#define	C3	(1.71405e-009)
#define	b0	12.0469
#define	b1	(-11.0156)
#define	b2	(-12.0234)
#define	b3	11.0391
#define	a0	1.0
#define	a1	(-2.10938)
#define	a2	1.42188
#define	a3	(-0.3125)
#define	fs_inv	10000.0
#define	kv	0.0075
#define	ki	0.03
#define	Kp_vgq	aGblSciInValue[1].dataFloat	 /* = 0.003; */
DefaultType	fGblVma = 0;

DefaultType	fFunVar67=0, fFunVar68=0, fFunVar48=0, fTI_ADC2_8=0;
DefaultType	fTI_ADC2_7=0, fTI_ADC2_6=0, fTI_ADC2_5=0, fTI_ADC2_4=0;
DefaultType	fTI_ADC2_3=0, fTI_ADC2_2=0, fTI_ADC2_1=0;
DefaultType	fTI_ADC2=0;

interrupt void Task()
{
	DefaultType	fZOH11, fZOH10;
	DefaultType	fZOH9, fZOH8, fZOH7;
	DefaultType	fZOH6, fZOH5, fZOH4, fZOH3;

		PS_EnableIntr();

//	fTI_ADC2 = PS_GetAcAdc(0);
//	fTI_ADC2_1 = PS_GetAcAdc(1);
//	fTI_ADC2_2 = PS_GetAcAdc(2);
//	fTI_ADC2_3 = PS_GetAcAdc(3);
//	fTI_ADC2_4 = PS_GetAcAdc(4);
//	fTI_ADC2_5 = PS_GetAcAdc(5);
//	fTI_ADC2_6 = PS_GetDcAdc(6);
//	fTI_ADC2_7 = PS_GetDcAdc(7);
//	fTI_ADC2_8 = PS_GetDcAdc(8);
	fZOH3 = fTI_ADC2;
	fZOH4 = fTI_ADC2_1;
	fZOH5 = fTI_ADC2_2;
	fZOH6 = fTI_ADC2_3;
	fZOH7 = fTI_ADC2_4;
	fZOH8 = fTI_ADC2_5;
	fZOH9 = fTI_ADC2_6;
	fZOH10 = fTI_ADC2_7;
	fZOH11 = fTI_ADC2_8;
	TaskS2(fZOH3, fZOH4, fZOH5, fZOH6, fZOH7, fZOH8, fZOH9, fZOH10, fZOH11, &fFunVar48, &fFunVar68, &fFunVar67);

#ifdef	_DEBUG
	fGblVma = fFunVar48;
#endif
	PS_SetPwm3ph1UvwSH(fFunVar48, fFunVar68, fFunVar67);
		PS_ExitPwm1General();
}

// Parameter list for S2
DefaultType	fGblS2_Iqref = 0;
DefaultType	fGblS2_Idref = 0;
DefaultType	fGblS2_P = 0;
DefaultType	fGblS2_Q = 0;
DefaultType	fGblS2_UDELAY6 = 0;
void TaskS2(DefaultType fIn0, DefaultType fIn1, DefaultType fIn2, DefaultType fIn3, DefaultType fIn4, DefaultType fIn5, DefaultType fIn6, DefaultType fIn7, DefaultType fIn8, DefaultType *fOut0, DefaultType *fOut1, DefaultType *fOut2)
{
	DefaultType	fS2_UDELAY6, fS2_I_RESET_I_D3, fS2_SUMP2, fS2_120pi, fS2_SUMP1;
	DefaultType	fS2_B2, fS2_MUX21, fS2_P3, fS2_P4, fS2_SUM1, fS2_C2, fS2_SSCB1_1;
	DefaultType	fS2_SSCB1, fS2_P19, fS2_P20, fS2_P18, fS2_AB_ABC2_2, fS2_AB_ABC2_1;
	DefaultType	fS2_AB_ABC2, fS2_DQ_AB2_1, fS2_DQ_AB2, fS2_P9, fS2_SUM32, fS2_P22;
	DefaultType	fS2_SUMP5, fS2_B3, fS2_MUX25, fS2_P17, fS2_P15, fS2_SUM5, fS2_P13;
	DefaultType	fS2_DIVD4, fS2_P10, fS2_SUM33, fS2_SUMP4, fS2_B4, fS2_MUX26;
	DefaultType	fS2_P30, fS2_P14, fS2_SUM6, fS2_P7, fS2_P12, fS2_DIVD3, fS2_SSCB2;
	DefaultType	fS2_P21, fS2_P6, fS2_AB_DQ3_1, fS2_AB_DQ3, fS2_ABC_AB3_1, fS2_ABC_AB3;
	DefaultType	fS2_AB_ABC3_2, fS2_AB_ABC3_1, fS2_AB_ABC3, fS2_DQ_AB3_1, fS2_DQ_AB3;
	DefaultType	fS2_VSAW2, fS2_P11, fS2_LIM4, fS2_SUMP7, fS2_B6, fS2_MUX28;
	DefaultType	fS2_P26, fS2_P24, fS2_SUM7, fS2_P23, fS2_P5, fS2_Vgq_ref, fS2_P29;
	DefaultType	fS2_LIM6, fS2_SUMP6, fS2_B5, fS2_MUX27, fS2_P27, fS2_P25, fS2_SUM8;
	DefaultType	fS2_P28, fS2_P8, fS2_AB_DQ2_1, fS2_AB_DQ2, fS2_ABC_AB2_1, fS2_ABC_AB2;
	DefaultType	fS2_C10;

	fS2_UDELAY6 = fGblS2_UDELAY6;


	fS2_C10 = 0;
	fS2_ABC_AB2 = (fIn0 * 2 - (fIn1 + fIn2)) / 3.0;
	fS2_ABC_AB2_1 = 0.57735027 * (fIn1 - fIn2); // uvw2ab
	fS2_AB_DQ2 = cos(fS2_UDELAY6) * fS2_ABC_AB2 + sin(fS2_UDELAY6) * fS2_ABC_AB2_1;
	fS2_AB_DQ2_1 = -sin(fS2_UDELAY6) * fS2_ABC_AB2 + cos(fS2_UDELAY6) * fS2_ABC_AB2_1; // ab2dq
	fS2_P8 = -fS2_AB_DQ2;
	fS2_P28 = fS2_P8 * (1.0/(120.0*sqrt(2.0)));
	fS2_SUM8 = fS2_C10 - fS2_P28;
	fS2_P25 = fS2_SUM8 * 0.003;
	fS2_P27 = fS2_SUM8 * 171;
	fS2_MUX27 = (fIn8 > 0.5) ? 0 : fS2_P27;
	{
		static DefaultType out_A = 0, in_A = 0.0;
		fS2_B5 = out_A + 0.5/fs_inv * (fS2_MUX27 + in_A);
		out_A = fS2_B5;in_A = fS2_MUX27;
	}
	fS2_SUMP6 = fS2_P25 + fS2_B5;
	fS2_LIM6 = (fS2_SUMP6 > 1) ? 1 : ((fS2_SUMP6 < -(1.0)) ? -(1.0) : fS2_SUMP6);
	fS2_P29 = -fS2_LIM6;
	fS2_Vgq_ref = aGblSciInValue[0].dataFloat;
	fS2_P5 = -fS2_AB_DQ2_1;
	fS2_P23 = fS2_P5 * (1.0/(120.0*sqrt(2.0)));
	fS2_SUM7 = fS2_Vgq_ref - fS2_P23;
	fS2_P24 = fS2_SUM7 * Kp_vgq;
	fS2_P26 = fS2_SUM7 * 171;
	fS2_MUX28 = (fIn8 > 0.5) ? 0 : fS2_P26;
	{
		static DefaultType out_A = 0, in_A = 0.0;
		fS2_B6 = out_A + 0.5/fs_inv * (fS2_MUX28 + in_A);
		out_A = fS2_B6;in_A = fS2_MUX28;
	}
	fS2_SUMP7 = fS2_P24 + fS2_B6;
	fS2_LIM4 = (fS2_SUMP7 > 1) ? 1 : ((fS2_SUMP7 < -(1.0)) ? -(1.0) : fS2_SUMP7);
	fS2_P11 = -fS2_LIM4;
	{
		static DefaultType count = 0.0;
		fS2_VSAW2 = count;
		count += ((DefaultType)(6.283185307 * 60)) / 10000;
		if (count >= 6.283185307)
			count -= 6.283185307;
	}
	fS2_DQ_AB3 = cos(fS2_VSAW2) * fS2_P29 - sin(fS2_VSAW2) * fS2_P11;
	fS2_DQ_AB3_1 = sin(fS2_VSAW2) * fS2_P29 + cos(fS2_VSAW2) * fS2_P11; // dq2ab
	fS2_AB_ABC3 = fS2_DQ_AB3; // ab2uvw
	fS2_AB_ABC3_1 = -0.5 * fS2_DQ_AB3 + 0.86602540 * fS2_DQ_AB3_1;
	fS2_AB_ABC3_2 = -0.5 * fS2_DQ_AB3 - 0.86602540 * fS2_DQ_AB3_1;
	fS2_ABC_AB3 = (fIn3 * 2 - (fIn4 + fIn5)) / 3.0;
	fS2_ABC_AB3_1 = 0.57735027 * (fIn4 - fIn5); // uvw2ab
	fS2_AB_DQ3 = cos(fS2_UDELAY6) * fS2_ABC_AB3 + sin(fS2_UDELAY6) * fS2_ABC_AB3_1;
	fS2_AB_DQ3_1 = -sin(fS2_UDELAY6) * fS2_ABC_AB3 + cos(fS2_UDELAY6) * fS2_ABC_AB3_1; // ab2dq
	fS2_P6 = -fS2_AB_DQ3_1;
	fS2_P21 = fS2_P6 * (-(0.8954));
	{
		
		//ENTER YOUR CODE HERE
		//  fS2_SSCB2 = 2 * sin(fS2_P5);
		if (fS2_P5 == 0.)
		  fS2_SSCB2 = 169.;
		else
		  fS2_SSCB2 = fS2_P5;
		
	}
	fS2_DIVD3 = fIn7 / fS2_SSCB2;
	fS2_P12 = fS2_DIVD3 * (2.0/3.0);
	fS2_P7 = -fS2_AB_DQ3;
	fS2_SUM6 = fS2_P12 - fS2_P7;
	fS2_P14 = fS2_SUM6 * 11.53;
	fS2_P30 = fS2_SUM6 * 121.932;
	fS2_MUX26 = (fIn8 > 0.5) ? fS2_P30 : 0;
	{
		static DefaultType out_A = 0, in_A = 0.0;
		fS2_B4 = out_A + 0.5/fs_inv * (fS2_MUX26 + in_A);
		out_A = fS2_B4;in_A = fS2_MUX26;
	}
	fS2_SUMP4 = fS2_P14 + fS2_B4;
	fS2_SUM33 = fS2_P21 * 1 + fS2_SUMP4 * 1 + fS2_P8 * 1;
	fS2_P10 = -fS2_SUM33;
	fS2_DIVD4 = fIn6 / fS2_SSCB2;
	fS2_P13 = fS2_DIVD4 * (2.0/3.0);
	fS2_SUM5 = fS2_P13 - fS2_P6;
	fS2_P15 = fS2_SUM5 * 11.53;
	fS2_P17 = fS2_SUM5 * 121.932;
	fS2_MUX25 = (fIn8 > 0.5) ? fS2_P17 : 0;
	{
		static DefaultType out_A = 0, in_A = 0.0;
		fS2_B3 = out_A + 0.5/fs_inv * (fS2_MUX25 + in_A);
		out_A = fS2_B3;in_A = fS2_MUX25;
	}
	fS2_SUMP5 = fS2_P15 + fS2_B3;
	fS2_P22 = fS2_P7 * 0.8954;
	fS2_SUM32 = fS2_SUMP5 * 1 + fS2_SSCB2 * 1 + fS2_P22 * 1;
	fS2_P9 = -fS2_SUM32;
	fS2_DQ_AB2 = cos(fS2_UDELAY6) * fS2_P10 - sin(fS2_UDELAY6) * fS2_P9;
	fS2_DQ_AB2_1 = sin(fS2_UDELAY6) * fS2_P10 + cos(fS2_UDELAY6) * fS2_P9; // dq2ab
	fS2_AB_ABC2 = fS2_DQ_AB2; // ab2uvw
	fS2_AB_ABC2_1 = -0.5 * fS2_DQ_AB2 + 0.86602540 * fS2_DQ_AB2_1;
	fS2_AB_ABC2_2 = -0.5 * fS2_DQ_AB2 - 0.86602540 * fS2_DQ_AB2_1;
	fS2_P18 = fS2_AB_ABC2 * (1.0/(120.0*sqrt(2.0)));
	*fOut0 = (fIn8 > 0.5) ? fS2_P18 : fS2_AB_ABC3;
	fS2_P20 = fS2_AB_ABC2_2 * (1.0/(120.0*sqrt(2.0)));
	*fOut2 = (fIn8 > 0.5) ? fS2_P20 : fS2_AB_ABC3_2;
	fS2_P19 = fS2_AB_ABC2_1 * (1.0/(120.0*sqrt(2.0)));
	*fOut1 = (fIn8 > 0.5) ? fS2_P19 : fS2_AB_ABC3_1;
#ifdef	_DEBUG
	fGblS2_Iqref = fS2_P13;
#endif
#ifdef	_DEBUG
	fGblS2_Idref = fS2_P12;
#endif
	{
		
		//ENTER YOUR CODE HERE
		fS2_SSCB1=fIn0*fIn3+fIn1*fIn4+fIn2*fIn5;
		fS2_SSCB1_1=1/sqrt(3)*((fIn1-fIn2)*fIn3+(fIn2-fIn0)*fIn4+(fIn0-fIn1)*fIn5);
		
		
	}
#ifdef	_DEBUG
	fGblS2_P = fS2_SSCB1;
#endif

#ifdef	_DEBUG
	fGblS2_Q = fS2_SSCB1_1;
#endif

	fS2_C2 = 0;
	fS2_SUM1 = fS2_C2 - fS2_P8;
	fS2_P4 = fS2_SUM1 * 2.31;
	fS2_P3 = fS2_SUM1 * 33;
	fS2_MUX21 = (fIn8 > 0.5) ? fS2_P3 : 0;
	{
		static DefaultType out_A = 0, in_A = 0.0;
		fS2_B2 = out_A + 0.5/fs_inv * (fS2_MUX21 + in_A);
		out_A = fS2_B2;in_A = fS2_MUX21;
	}
	fS2_SUMP1 = fS2_P4 + fS2_B2;
	fS2_120pi = 376.9911;
	fS2_SUMP2 = fS2_SUMP1 + fS2_120pi;
	{
		static DefaultType out_A = 0, in_A = 0.0;
		fS2_I_RESET_I_D3 = out_A + 0.5/fs_inv * (fS2_SUMP2 + in_A);
		if (fS2_I_RESET_I_D3 > (2.0*3.14159)) {
			fS2_I_RESET_I_D3 -= (2.0*3.14159) - 0;
		} else if (fS2_I_RESET_I_D3 < 0) {
			fS2_I_RESET_I_D3 += (2.0*3.14159) - 0;
		}
		out_A = fS2_I_RESET_I_D3; in_A = fS2_SUMP2;
	}
	fGblS2_UDELAY6 = fS2_I_RESET_I_D3;
	if (nGblSciState != PSC_SCI_INITIAL) {
		_ProcSciOutput(0, fS2_UDELAY6);
	}
}


void Initialize(void)
{
	PS_SysInit(30, 10);
	PS_StartStopPwmClock(0);
	PS_InitTimer(0, 0xffffffff);
	PS_InitPwm3ph(1, 1, fs_inv*1, (0.5E-6)*1.e6, 33416);	// pwnNo, waveType, frequency, deadtime
	PS_SetPwm3phPeakOffset(1, 2, (-(1.0)), 1.0/2);
	PS_SetPwm3ph1AdcIntr(ePwmIntrAdc, 1, 0);
	PS_SetPwm3ph1Vector(ePwmIntrAdc, Task);
	PS_SetPwm3ph1TzAct(eTZHighImpedance);
	PS_SetPwm3ph1UvwSH(0, 0, 0);
	PS_StartPwm3ph1();

	PS_ResetAdcConvSeq();
	PS_SetAdcConvSeq(eAdcCascade, 0, (1.0/kv));
	PS_SetAdcConvSeq(eAdcCascade, 1, (1.0/kv));
	PS_SetAdcConvSeq(eAdcCascade, 2, (1.0/kv));
	PS_SetAdcConvSeq(eAdcCascade, 3, (1.0/ki));
	PS_SetAdcConvSeq(eAdcCascade, 4, (1.0/ki));
	PS_SetAdcConvSeq(eAdcCascade, 5, (1.0/ki));
	PS_SetAdcConvSeq(eAdcCascade, 6, 1500);
	PS_SetAdcConvSeq(eAdcCascade, 7, 1500);
	PS_SetAdcConvSeq(eAdcCascade, 8, 1);
	PS_AdcInit(1, !2);

	PS_SciInit(0/10, 0%10, 115200, 0, aGblSciOutBuf, 256, &_ProcSciInputItem);

	PS_StartStopPwmClock(1);
}

void main()
{
	Initialize();
	PS_EnableIntr();   // Enable Global interrupt INTM
	PS_EnableDbgm();
	for (;;) {
		_ProcSciWaitStart();
	}
}

